aboutsummaryrefslogtreecommitdiff
path: root/services/manage
diff options
context:
space:
mode:
Diffstat (limited to 'services/manage')
-rwxr-xr-xservices/manage14
1 files changed, 14 insertions, 0 deletions
diff --git a/services/manage b/services/manage
new file mode 100755
index 0000000..01f3145
--- /dev/null
+++ b/services/manage
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+set -e
+
+python3 --version > /dev/null 2>&1 || (
+ echo Error: failed to run Python with python3 --version.
+ exit 1
+)
+
+script_dir="$(dirname "$0")"
+. "$script_dir/common.bash"
+
+export PYTHONPATH="$CRUPEST_PROJECT_DIR/$CRUPEST_SERVICES_DIR:$PYTHONPATH"
+python3 -m manager.service "$@"